POST api/ConnectedCar/Cities/Save
Request Information
URI Parameters
None.
Body Parameters
CityModel| Name | Description | Type | Additional information |
|---|---|---|---|
| city_code | integer |
None. |
|
| city_name | string |
None. |
|
| country_code | integer |
None. |
|
| country | CountryModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"city_code": 1,
"city_name": "sample string 2",
"country_code": 1,
"country": {
"country_code": 1,
"country_name": "sample string 2",
"continent_name": "sample string 3"
}
}
application/xml, text/xml
Sample:
<CityModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ConnectedCarFleet.Shared.Models">
<city_code>1</city_code>
<city_name>sample string 2</city_name>
<country>
<continent_name>sample string 3</continent_name>
<country_code>1</country_code>
<country_name>sample string 2</country_name>
</country>
<country_code>1</country_code>
</CityModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
None.